<?php

namespace App\Filament\Resources\QrcodeRecords\Pages;

use App\Filament\Resources\QrcodeRecords\QrcodeRecordResource;
use Filament\Actions\CreateAction;
use Filament\Resources\Pages\ListRecords;
use Filament\Actions\ExportAction;
use App\Filament\Exports\QrcodeRecordExporter;

class ListQrcodeRecords extends ListRecords
{
    protected static string $resource = QrcodeRecordResource::class;

    protected function getHeaderActions(): array
    {
        return [
            ExportAction::make()
                ->exporter(QrcodeRecordExporter::class),
        ];
    }

    
}
